#
# spec file for package yaffs2utils
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
Name:           yaffs2utils
License:        GPL-2.0
Group:          System/Filesystems
%define _svnversion 33
# From src/yaffs2utils_version.h
%define _yaffs2utils_version 0.2.8
Version:        %{_yaffs2utils_version}.0.svn%{_svnversion}
Release:        3.1
Summary:        Collection of Utilities To Make/Extract a YAFFS2/YAFFS1 Image
# svn checkout http://yaffs2utils.googlecode.com/svn/trunk/ yaffs2utils
Source:         %{name}-svn%{_svnversion}.tar.bz2
# PATCH-FEATURE-OPENSUSE yaffs2utils-cflags.patch sbrabec@suse.cz -- Support RPM_OPT_FLAGS.
Patch:          yaffs2utils-cflags.patch
# PATCH-FIX-UPSTREAM yaffs2utils-array-subcsript.patch sbrabec@suse.cz -- Fix array subscript out of range.
Patch1:         yaffs2utils-array-subcsript.patch
Url:            http://code.google.com/p/yaffs2utils/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The yaffs2utils is the collection of utilities to make/extract a YAFFS2/YAFFS1
image for Linux.

Currently, it inclueds the following tools:
(1) mkyaffs2: making a yaffs2 (yaffs1) image 
(2) unyaffs2: extract a yaffs2 (yaffs1) image made by mkyaffs2.
(3) unspare2: extract the spare(oob) layout from the NAND device.

%prep
%setup -q -n %{name}
%patch -p1
%patch1 -p1
chmod -x CHANGES COPYING README

%build
cd src
make %{?_smp_mflags} OPTFLAGS="%optflags"

%install
cd src
mkdir -p %{buildroot}/bin
make install INSTALLDIR=%{buildroot}/bin

%files
%defattr(-,root,root)
%doc CHANGES COPYING README
/bin/*

%changelog
* Sat May 26 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
- Parallel build with %%_smp_mflags
* Mon May 14 2012 sbrabec@suse.cz
- New package, version 0.2.8, svn snapshot 33.
